import React from 'react';
import { useParams, useNavigate, useLocation } from 'react-router-dom';
import ProductDetailPage from './ProductDetailPage.js';
import { useProduct } from '../context/ProductContext.js';

const ProductDetailWithSocket = () => {
  const { seoName } = useParams();
  const navigate = useNavigate();
  const location = useLocation();
  const { setCurrentProduct } = useProduct();

  return (
    <ProductDetailPage 
      seoName={seoName} 
      navigate={navigate} 
      location={location} 
      setCurrentProduct={setCurrentProduct}
    />
  );
};

export default ProductDetailWithSocket;
